Bug 131649 - Add to panel dialog - confusing behaviour
Add to panel dialog - confusing behaviour
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-09-02 16:36 EDT by Matthias Clasen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-06 02:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2004-09-02 16:36:06 EDT
If I double click on the first item, a whole different list of items
appears - thats confusing. If I double click on something else, it
gets added to the panel.
Comment 1 Mark McLoughlin 2004-09-03 04:05:08 EDT
Well, its got "Application Launcher..." to indicate more input is
required and the button changes to "Forward" ... the behaviour is
supposed to be similar to that of a druid.

Maybe we could come up with a better visual queue that adding a
launcher requires going to another page. Any ideas Bryan?

(The whole dialog needs a good looking at upstream, so lets keep this
bug to just looking for something small to reduce the confusion. If we
can't think of anything, then any large scale changes should be
tracked upstream)
Comment 2 Bryan W Clark 2004-09-03 18:10:00 EDT
There really isn't much that can be done here.  The dialog needs a lot
of love and the kind of love that we can only do in upstream.  The
buttons changing from Add to Forward when you select launcher vs. the
rest and I believe the HIG states explicitely against doing.  Hmmm...

Most people don't use this dialog for adding launchers anyway. 
Windows doesn't even provide this type of method to add them, it's all
drag and drop as far as I remember.  There are many other ways to add
launchers, most are from the panel context menus or drag and drop,
which should be fine.

Upstream we really need to start looking at what's going to happen
with the panel for the next release.  Seth and I came up with some
mockups, a mixture of what I think Mark had originally suggested with
some thoughts we've had. 
Comment 3 Mark McLoughlin 2004-09-06 02:53:59 EDT
Closing ...

Note You need to log in before you can comment on or make changes to this bug.